<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title>de/TipsAndTricks/NTFS</title>
<link rel="stylesheet" type="text/css" media="all" charset="utf-8" href="modern/css/common.css">
<link rel="stylesheet" type="text/css" media="screen" charset="utf-8" href="modern/css/screen.css">
<link rel="stylesheet" type="text/css" media="print" charset="utf-8" href="modern/css/print.css">
<style type="text/css">
ul.pagetitle{
  display: inline;
  margin: 0;
  padding: 0;
  font-size: 1.5em;
}
li.pagetitle{
  display: inline;
  margin: 0;
}
td.noborder {
  border: 0;
}
</style>
</head>
<body>
<table>
<tr>
<td class="noborder">
<img src="logo.png">
</td>
<td class="noborder">
<ul class="pagetitle">
<li class="pagetitle"><a class="backlink">de/TipsAndTricks/NTFS</a>
</ul>
<br><br>
[<a href="FrontPage.html">FrontPage</a>]&nbsp;[<a href="TitleIndex.html">TitleIndex</a>]&nbsp;[<a href="WordIndex.html">WordIndex</a>]&nbsp;
</td>
</tr>
</table>
<hr>
<div id="page"><h1 style="background-color:Red; color:White">This is a read-only <a href="https://gitlab.com/CentOS/docs/wiki_archives">archived version</a> of wiki.centos.org</h1>
<div dir="ltr" id="content" lang="de"><span class="anchor" id="top"></span>
<span class="anchor" id="line-1"></span><span class="anchor" id="line-2"></span><span class="anchor" id="line-3"></span><span class="anchor" id="line-4"></span><span class="anchor" id="line-5"></span><p class="line867"><small>Translation(s): Deutsch - <a href="./TipsAndTricks(2f)NTFS.html">English</a></small> <span class="anchor" id="line-6"></span><span class="anchor" id="line-7"></span><p class="line867">
<h1 id="Wie_ein_NTFS-Dateisystem_eingebunden_werden_kann">Wie ein NTFS-Dateisystem eingebunden werden kann</h1>
<span class="anchor" id="line-8"></span><span class="anchor" id="line-9"></span><p class="line862">[Beachte: Wenn du einen CentOS-Plus-Kernelnutzt, siehe <a href="./de(2f)TipsAndTricks(2f)NTFS.html#Notiz_cplus">hier</a>] <span class="anchor" id="line-10"></span><span class="anchor" id="line-11"></span><p class="line867">
<h2 id="Installation_der_ben.2BAPY-tigten_Pakete">1. Installation der benötigten Pakete</h2>
<span class="anchor" id="line-12"></span><p class="line867"><img alt="&lt;!&gt;" height="16" src="/moin_static1911/modern/img/attention.png" title="&lt;!&gt;" width="16" /> Alte NTFS-Treiber neigten dazu, Probleme im Lese/Schreib-Modus zu haben und zerstörten Daten. ntfs-3g scheint diese Probleme überwunden zu haben. Siehe <a class="http" href="http://www.tuxera.com/community/ntfs-3g-download/">the ntfs-3g page</a> für weitere informationen. <span class="anchor" id="line-13"></span><span class="anchor" id="line-14"></span><p class="line867"><img alt="&lt;!&gt;" height="16" src="/moin_static1911/modern/img/attention.png" title="&lt;!&gt;" width="16" /> Ab CentOS <strong>5.4</strong> (kernel 2.6.18-164 oder neuer) ist das fuse-Kernel-Modul im Kernel selbst enthalten.  Aus diesem Grund sind die Pakete <em>dkms</em> und <em>dkms-fuse</em> nicht länger erforderlich.  Falls du noch dkms-fuse installiert haben soltlest, deinstalliere es bitte mit <strong>yum remove dkms-fuse</strong>. <span class="anchor" id="line-15"></span><span class="anchor" id="line-16"></span><p class="line862">Stelle sicher, dass die Paketquelle <strong>rpmforge repo</strong> installiert ist. Falls nicht, siehe <a href="./Repositories.html">Repositories</a>. <span class="anchor" id="line-17"></span><span class="anchor" id="line-18"></span><p class="line874">Installiere folgende Pakete <span class="anchor" id="line-19"></span>{{{yum install fuse fuse-ntfs-3g <span class="anchor" id="line-20"></span>}}} <span class="anchor" id="line-21"></span><span class="anchor" id="line-22"></span><p class="line874">Falls die rpmforge-Repo standardmäßig deaktiviert sein sollte, <span class="anchor" id="line-23"></span>{{{yum --enablerepo=rpmforge install fuse fuse-ntfs-3g <span class="anchor" id="line-24"></span>}}} <span class="anchor" id="line-25"></span><span class="anchor" id="line-26"></span><p class="line867"><img alt="&lt;!&gt;" height="16" src="/moin_static1911/modern/img/attention.png" title="&lt;!&gt;" width="16" /> Bemerkung für CentOS-5-nutzer: Falls du noch CentOS <strong>5.3</strong> oder älter benutzt, <strong>dann</strong> solltest du kmod-fuse von <a class="http" href="http://elrepo.org">ELRepo</a> installieren. <span class="anchor" id="line-27"></span><span class="anchor" id="line-28"></span><p class="line862">Für <strong>CentOS-7</strong> und <strong>CentOS-6</strong> enthält die <strong>EPEL</strong>-Paketquelle die NTFS-Pakete. EPEL ist ebenso für <strong>CentOS-5</strong> verfügbar. Um nach der Einrichtung der Repo  (siehe <a href="./Repositories.html">Repositories</a>) die Pakete zu installieren, führe folgendes aus: <span class="anchor" id="line-29"></span>{{{yum install ntfs-3g <span class="anchor" id="line-30"></span>}}} <span class="anchor" id="line-31"></span>oder falls epel standardmäßig deaktiviert bleiben soll <span class="anchor" id="line-32"></span>{{{yum --enablerepo epel install ntfs-3g <span class="anchor" id="line-33"></span>}}} <span class="anchor" id="line-34"></span><span class="anchor" id="line-35"></span><p class="line874">Für erweiterte Funktionen könnten auch <span class="anchor" id="line-36"></span>{{{yum install ntfsprogs ntfsprogs-gnomevfs <span class="anchor" id="line-37"></span>}}} <span class="anchor" id="line-38"></span>recht nützlich sein. (Diese Pakete stellt zum Beispiel ntfsclone bereit mit dem NTFS-Partitionen mit oder ohne unbenutztem Speicherplatz kopiert werden kann.) <span class="anchor" id="line-39"></span><span class="anchor" id="line-40"></span><p class="line867">
<h2 id="Einbinden_eines_NTFS-Dateisystems">2. Einbinden eines NTFS-Dateisystems</h2>
<span class="anchor" id="line-41"></span><p class="line862">Vorausgesetzt, das NTFS-Dateisystem liege auf <tt class="backtick">/dev/sda1</tt> und es soll in <tt class="backtick">/mymnt/win</tt> eingebunden werden, <span class="anchor" id="line-42"></span>tue folgendes. <span class="anchor" id="line-43"></span><span class="anchor" id="line-44"></span><p class="line874">Als erstes muss der Mountpoint erstellt werden.  <span class="anchor" id="line-45"></span>{{{mkdir /mymnt/win <span class="anchor" id="line-46"></span>}}} <span class="anchor" id="line-47"></span>Als nächstes <strong>bearbeite</strong> <tt class="backtick">/etc/fstab</tt> wie folgt.  Um es nur-lesend einzubinden: <span class="anchor" id="line-48"></span>{{{/dev/sda1       /mymnt/win   ntfs-3g  ro,umask=0222,defaults 0 0 <span class="anchor" id="line-49"></span>}}} <span class="anchor" id="line-50"></span>Um es mit Lese-Schreib-Rechten einzubinden: <span class="anchor" id="line-51"></span>{{{/dev/sda1       /mymnt/win   ntfs-3g  rw,umask=0000,defaults 0 0 <span class="anchor" id="line-52"></span>}}} <span class="anchor" id="line-53"></span>Es kann ab sofort hiermit eingebunden werden: <span class="anchor" id="line-54"></span>{{{mount /mymnt/win <span class="anchor" id="line-55"></span>}}} <span class="anchor" id="line-56"></span><span class="anchor" id="line-57"></span><p class="line867">
<h2 id="Nutzer_des_centosplus-Kernels">3. Nutzer des centosplus-Kernels</h2>
<span class="anchor" id="line-58"></span><p class="line867"><span class="anchor" id="Notiz_cplus"></span> <span class="anchor" id="line-59"></span><img alt="&lt;!&gt;" height="16" src="/moin_static1911/modern/img/attention.png" title="&lt;!&gt;" width="16" /> Das NTFS-Modul ist beim centoplus-Kernel(<a href="./Repositories(2f)CentOSPlus.html">Repositories/CentOSPlus</a>) ab CentOS-5.3 nicht aktiviert, weil NTFS in 5.3 defekt ist.  Bitte siehe hier <a class="https" href="https://bugzilla.redhat.com/show_bug.cgi?id=481495">https://bugzilla.redhat.com/show_bug.cgi?id=481495</a> für Details. Wenn der NTFS-Treiber des CentOS-Kernels genutzt werden soll, muss <strong>kmod-ntfs</strong> von <a class="http" href="http://elrepo.org">the ELRepo project</a> installiert werden.  Außerdem ist im Gegensatz zu ntfs-3g die <strong>Schreibfähigkeit</strong> des ntfs-Kernel-Moduls enorm eingeschränkt.  Hier eine Bemerkung der Kernel-Kconfig-Datei (Danke an <a href="./AlanBartlett.html">AlanBartlett</a> für diese Information): <span class="anchor" id="line-60"></span><span class="anchor" id="line-61"></span><p class="line862">"Die einzige unterstützte Möglichkeit ist es, schon vorhandene Dateien zu überschreiben, ohne die Datei-Länge zu ändern.  Es ist keine Erstellung von Dateien oder Ordnern, kein Löschen und kein Umbenennen möglich.  beachte, dass nur nichtresidente Dateien geschrieben werden können und dass deswegen vielleicht auch sehr kleine Dateien (&lt;500 bytes oder so) nicht beschrieben werden können." <span class="anchor" id="line-62"></span><span class="anchor" id="line-63"></span><p class="line862">Die Folgende Beschreibung kann für <strong>CentOS 5.2 oder älter</strong> angewendet werden. <span class="anchor" id="line-64"></span><span class="anchor" id="line-65"></span><p class="line862">In CentOSPlus-Kernels, sind ntfs und fuse <strong>Kernel-Module</strong> beide aktiviert. Der größte Unterschied zwischen ntfs und ntfs-3g ist, dass der vorige nur-lesend ist während letzterer lesend/schreibend ist.  Falls also keine Schreibrechte für ein NTFS-Dateisystem erforderlich sein sollten, ist es nicht erforderlich, zusätzliche Pakete zu installieren.  Füge einfach diese Zeile zu <tt class="backtick">/etc/fstab</tt> hinzu: <span class="anchor" id="line-66"></span>{{{/dev/sda1       /mymnt/win   ntfs  ro,umask=0222,defaults 0 0 <span class="anchor" id="line-67"></span>}}} <span class="anchor" id="line-68"></span>Falls Lese- UND Schreibrechte erforderlich sein sollten, wird das fuse-ntfs-3g-Paket benötigt.  Weil das fuse-Modul schon im Kernel verfügbar ist, wird das dkms-Paket nicht gebraucht: <span class="anchor" id="line-69"></span>{{{yum install fuse fuse-ntfs-3g <span class="anchor" id="line-70"></span>}}} <span class="anchor" id="line-71"></span><img alt="&lt;!&gt;" height="16" src="/moin_static1911/modern/img/attention.png" title="&lt;!&gt;" width="16" /> <strong>Außerdem</strong> gibt das fuse-Kernel-Modul in CentOS 5 (seit August 2007) eine Fehlermeldung aus: <strong>WARNING: Deficient FUSE kernel module detected</strong> (WARNUNG: Fehlerhaftes FUSE-Kernel-Modul entdeckt).  Es funktioniert trotzdem, aber es wird trotzdem empfohlen das modul von RPMforge (neuer) stattdessen zu nutzen.  Es sollte weiterhin auf den neuesten Kernel aktualisiert werden, welchen dieses Problem nicht hat. <span class="anchor" id="line-72"></span><span class="anchor" id="line-73"></span><p class="line874">Starte also: <span class="anchor" id="line-74"></span>{{{yum install fuse fuse-ntfs-3g dkms dkms-fuse <span class="anchor" id="line-75"></span>}}} <span class="anchor" id="line-76"></span>um das vorhandene fuse-Kernel-Modul durch den aus RPMforge zu ersetzen. <span class="anchor" id="line-77"></span><span class="anchor" id="line-78"></span><p class="line867"><hr /><p class="line874"> <span class="anchor" id="line-79"></span>Siehe auch: <span class="anchor" id="line-80"></span><span class="anchor" id="line-81"></span><p class="line867"><a class="http" href="http://wiki.linux-ntfs.org/doku.php?id=ntfs-en#can_i_mount_an_ntfs_volume">http://wiki.linux-ntfs.org/doku.php?id=ntfs-en#can_i_mount_an_ntfs_volume</a> (read-only mounting) <span class="anchor" id="line-82"></span><span class="anchor" id="line-83"></span><p class="line867"><hr /><p class="line874"> <span class="anchor" id="line-84"></span>Englische Version wurde von <a href="./AkemiYagi.html">AkemiYagi</a> erstellt. Jeder ist herzlich willkommen, es zu verbessern. <span class="anchor" id="line-85"></span><span class="anchor" id="bottom"></span></div>
</div>
<hr>
2023-09-11 07:23
</body>
</html>
